select
  nt.numdocumento as numero_nota
  , pes.nome as cliente
  , nt.dtemissao as data_emissao
  , nt.dtentradasaida as data_saida
  , (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcelas
  , nt.valor as valot_total
  , pr.nome as produto
  , (ni.vrtotal / ni.qtde) as valor_unitario
  , ni.qtde as quantidade_produto
  , ni.vrtotal as valor_total_item
  , ccu.descricao as centro_custo
  , (ni.vrtotal * ((coalesce(nia.percentual,100))/100)) as valor_apopriado_centro
  , cg.numero as numero_gerencial
  , cg.descricao as conta_gerencial
from
  nota nt
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccu on ccu.cdcentrocusto = nia.cdcentrocusto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
where
  nt.tiponota = 'S'
  and nt.valor <> 0
---Informe o perodo de emisso da nota no formato AAA-MM-DD
  and nt.dtemissao between '2015-01-01' and '2015-08-18'
order by
  nt.numdocumento, nt.dtemissao

